searchNodes=[{"doc":"Defines functions to work with YAML in Elixir.","ref":"Yamel.html","title":"Yamel","type":"module"},{"doc":"Decodes a YAML string to a map or list.Returns {:ok, Yamel.t()} or {:error, reason}, where reason is parse_error()Options:keys - indicates the type for the map's keys. Default: :stringExamplesiex&gt; Yamel.decode( ...&gt; ~s&quot;--- ...&gt; - Apple ...&gt; - Orange ...&gt; - Strawberry ...&gt; - Mango&quot;) {:ok, [&quot;Apple&quot;, &quot;Orange&quot;,&quot;Strawberry&quot;, &quot;Mango&quot;]}","ref":"Yamel.html#decode/2","title":"Yamel.decode/2","type":"function"},{"doc":"Decodes a YAML string to a map or list, throws if fails.Throws parse_error() exception if given YAML cannot be parsed.Options:keys - indicates the type for the map's keys. Default: :stringExamplesiex&gt; Yamel.decode!(&quot; ...&gt; name: Jane Doe ...&gt; job: Developer ...&gt; skill: Elite ...&gt; employed: True&quot;) %{&quot;employed&quot; =&gt; true, &quot;job&quot; =&gt; &quot;Developer&quot;, &quot;name&quot; =&gt; &quot;Jane Doe&quot;, &quot;skill&quot; =&gt; &quot;Elite&quot;} With option keys: :atomiex&gt; Yamel.decode!(&quot; ...&gt; name: Jane Doe ...&gt; job: Developer ...&gt; skill: Elite ...&gt; employed: True&quot;, keys: :atom) %{employed: true, job: &quot;Developer&quot;, name: &quot;Jane Doe&quot;, skill: &quot;Elite&quot;}","ref":"Yamel.html#decode!/2","title":"Yamel.decode!/2","type":"function"},{"doc":"Encodes a YAML term. Returns {:ok, yaml()} where the second term is the encoded YAML term. Otherwise, returns {:error, reason} with reason being a string stating the error reason.Options:quote - The value types to be quoted.Examplesiex&gt; Yamel.encode([&quot;foo&quot;, &quot;bar&quot;, &quot;baz&quot;]) {:ok, &quot;- foo\\n- bar\\n- baz\\n\\n&quot;} iex&gt; Yamel.encode([:foo, &quot;bar&quot;, 123, true], quote: [:string, :atom, :number]) {:ok, &quot;- \\&quot;foo\\&quot;\\n- \\&quot;bar\\&quot;\\n- \\&quot;123\\&quot;\\n- true\\n\\n&quot;} iex&gt; Yamel.encode([:foo, &quot;bar&quot;, 12.3, true], quote: [:string, :boolean]) {:ok, &quot;- foo\\n- \\&quot;bar\\&quot;\\n- 12.3\\n- \\&quot;true\\&quot;\\n\\n&quot;}","ref":"Yamel.html#encode/2","title":"Yamel.encode/2","type":"function"},{"doc":"Encodes a YAML term directly into a string, throwing an exception if the term can not be encoded.Options:quote - The value types to be quoted.Examplesiex&gt; Yamel.encode!([&quot;foo&quot;, &quot;bar&quot;, &quot;baz&quot;]) &quot;- foo\\n- bar\\n- baz\\n\\n&quot; iex&gt; Yamel.encode!([:foo, &quot;bar&quot;, 123, true], quote: [:string, :atom, :number]) &quot;- \\&quot;foo\\&quot;\\n- \\&quot;bar\\&quot;\\n- \\&quot;123\\&quot;\\n- true\\n\\n&quot; iex&gt; Yamel.encode!([:foo, &quot;bar&quot;, 12.3, true], quote: [:string, :boolean]) &quot;- foo\\n- \\&quot;bar\\&quot;\\n- 12.3\\n- \\&quot;true\\&quot;\\n\\n&quot;","ref":"Yamel.html#encode!/2","title":"Yamel.encode!/2","type":"function"},{"doc":"","ref":"Yamel.html#t:decode_opts/0","title":"Yamel.decode_opts/0","type":"type"},{"doc":"","ref":"Yamel.html#t:keys/0","title":"Yamel.keys/0","type":"type"},{"doc":"","ref":"Yamel.html#t:parse_error/0","title":"Yamel.parse_error/0","type":"type"},{"doc":"","ref":"Yamel.html#t:t/0","title":"Yamel.t/0","type":"type"},{"doc":"","ref":"Yamel.html#t:yaml/0","title":"Yamel.yaml/0","type":"type"},{"doc":"","ref":"Yamel.Encoder.html","title":"Yamel.Encoder","type":"protocol"},{"doc":"","ref":"Yamel.Encoder.html#encode/2","title":"Yamel.Encoder.encode/2","type":"function"},{"doc":":node_level: along with :indent_size calculates the indentation. 0 - root level; 1 - 2 spaces indent; 3 - 4 spaces indent :indent_size: multiplier for indentation. Default 2 :quote: which scalar types to be surrounded by quotes :quote_type: use single quotes (' - :single) or double quotes (&quot; - double) :empty_value: how to deal with empty (&quot;&quot;) values: leave blank (:blank) or use quotes (:quoted - default)","ref":"Yamel.Encoder.html#t:opts/0","title":"Yamel.Encoder.opts/0","type":"type"},{"doc":"","ref":"Yamel.Encoder.html#t:quotable_type/0","title":"Yamel.Encoder.quotable_type/0","type":"type"},{"doc":"","ref":"Yamel.Encoder.html#t:t/0","title":"Yamel.Encoder.t/0","type":"type"},{"doc":"","ref":"Yamel.Encoder.Helper.html","title":"Yamel.Encoder.Helper","type":"module"},{"doc":"","ref":"Yamel.Encoder.Helper.html#calculate_indentation/1","title":"Yamel.Encoder.Helper.calculate_indentation/1","type":"function"},{"doc":"","ref":"Yamel.Encoder.Helper.html#is_scalar/1","title":"Yamel.Encoder.Helper.is_scalar/1","type":"macro"},{"doc":"","ref":"Yamel.Encoder.Helper.html#serialize/2","title":"Yamel.Encoder.Helper.serialize/2","type":"function"},{"doc":"","ref":"Yamel.Encoder.Helper.html#t:scalar/0","title":"Yamel.Encoder.Helper.scalar/0","type":"type"},{"doc":"Module to work with YAML files in Elixir.","ref":"Yamel.IO.html","title":"Yamel.IO","type":"module"},{"doc":"","ref":"Yamel.IO.html#read/1","title":"Yamel.IO.read/1","type":"function"},{"doc":"","ref":"Yamel.IO.html#read!/1","title":"Yamel.IO.read!/1","type":"function"},{"doc":"","ref":"Yamel.IO.html#write/2","title":"Yamel.IO.write/2","type":"function"},{"doc":"","ref":"Yamel.IO.html#write!/2","title":"Yamel.IO.write!/2","type":"function"},{"doc":"","ref":"Yamel.EncodeError.html","title":"Yamel.EncodeError","type":"exception"},{"doc":"","ref":"Yamel.EncodeError.html#t:t/0","title":"Yamel.EncodeError.t/0","type":"type"}]